# Ultrabirb-cluster

## Get Cloud images
Download cloud images from: https://cloud-images.ubuntu.com/focal/current/

## Use the magic-router
Simulate latency: `tc qdisc add dev enp1s0f2 root netem delay 97ms`

Interfaces:
 - enp1s0f0 192.168.110.10/24 cloud
 - enp1s0f1 192.168.111.10/24 edge-1
 - enp1s0f2 192.168.112.10/24 edge-2
 - enp1s0f3 192.168.113.10/24 site


## Allow connection

```
iptables -A LIBVIRT_FWX -i br100 -o virbr0 -j ACCEPT
iptables -A LIBVIRT_FWX -i br100 -o virbr1 -j ACCEPT
iptables -A LIBVIRT_FWX -i br100 -o virbr2 -j ACCEPT
iptables -A LIBVIRT_FWX -i br100 -o virbr3 -j ACCEPT
iptables -A LIBVIRT_FWX -o br100 -i virbr0 -j ACCEPT
iptables -A LIBVIRT_FWX -o br100 -i virbr1 -j ACCEPT
iptables -A LIBVIRT_FWX -o br100 -i virbr2 -j ACCEPT
iptables -A LIBVIRT_FWX -o br100 -i virbr3 -j ACCEPT
```

## Magic patch to make metrics-server work

This disables TLS checking, because who need that anyway.

```
kubectl patch deployment metrics-server -n kube-system --type 'json' -p '[{"op": "add", "path": "/spec/template/spec/containers/0/args/-", "value": "--kubelet-insecure-tls"}]'
```

Source: http://www.mtitek.com/tutorials/kubernetes/install-kubernetes-metrics-server.php